com.tibbo.aggregate.common.communication

## Class AbstractCommandParser<C extends Command>

- java.lang.Object
- - com.tibbo.aggregate.common.communication.AbstractCommandParser<C>

- All Implemented Interfaces:
    CommandParser<C>
  Direct Known Subclasses:
    BufferedCommandParser

      public abstract class AbstractCommandParser<C extends Command>
      extends java.lang.Object
      implements CommandParser<C>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCommandParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addData(int dataByte)`
    `byte[]` | `clearData()`
    `byte[]` | `getData()`
    `protected CommandParserListener` | `getListener()`
    `void` | `reset()`
    `void` | `setListener(CommandParserListener listener)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.communication.CommandParser

      `readCommand`

- - ### Constructor Detail

    - #### AbstractCommandParser

          public AbstractCommandParser()

  - ### Method Detail

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `CommandParser<C extends Command>`

    - #### getData

          public byte[] getData()

    - #### clearData

          public byte[] clearData()

    - #### addData

          public void addData(int dataByte)

      Specified by:
        `addData` in interface `CommandParser<C extends Command>`

    - #### setListener

          public void setListener(CommandParserListener listener)

      Specified by:
        `setListener` in interface `CommandParser<C extends Command>`

    - #### getListener

          protected CommandParserListener getListener()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`